RagTimeSpreadsheetInternal::CellExtra Struct Reference

Internal: extra cell format of a RagTimeSpreadsheet (SpCe block). More...

## Public Member Functions
| CellExtra ()
| constructor
void | update (Cell &cell) const
| update the cell color if need

## Public Attributes
bool | m_isTransparent
| true if the cell is transparent
MWAWColor | m_color
| the background color
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, CellExtra const &st)
| operator<<

## Detailed Description

Internal: extra cell format of a RagTimeSpreadsheet (SpCe block).

## Constructor & Destructor Documentation

## ◆ CellExtra()

RagTimeSpreadsheetInternal::CellExtra::CellExtra | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ update()

void RagTimeSpreadsheetInternal::CellExtra::update | ( | Cell & | cell | ) | const

update the cell color if need

Referenced by update().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CellExtra const & | st )
| friend

operator<<

## Member Data Documentation

## ◆ m_color

MWAWColor RagTimeSpreadsheetInternal::CellExtra::m_color

the background color

Referenced by CellExtra(), operator<<, RagTimeSpreadsheet::readResource(), and update().

## ◆ m_extra

std::string RagTimeSpreadsheetInternal::CellExtra::m_extra

extra data

Referenced by CellExtra(), operator<<, and RagTimeSpreadsheet::readResource().

## ◆ m_isTransparent

bool RagTimeSpreadsheetInternal::CellExtra::m_isTransparent

true if the cell is transparent

Referenced by CellExtra(), operator<<, RagTimeSpreadsheet::readResource(), and update().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx